%global srcname itsdangerous
%global common_description %{expand:
Itsdangerous is a Python library for passing data through untrusted environments (for example, HTTP
cookies) while ensuring the data is not tampered with.

Internally itsdangerous uses HMAC and SHA1 for signing by default and bases the implementation on
the Django signing module. It also however supports JSON Web Signatures (JWS).}

Summary:       Python library for passing trusted data to untrusted environments
Name:          python-%{srcname}
Version:       2.1.2
Release:       1%{?dist}
License:       BSD
URL:           https://itsdangerous.palletsprojects.com
Source0:       %{pypi_source}

BuildArch:     noarch

%description %{common_description}

%package -n python3-%{srcname}
Summary:       Python library for passing trusted data to untrusted environments
BuildRequires: python3-devel python3dist(setuptools) python3dist(pytest) python3dist(freezegun)

%description -n python3-%{srcname} %{common_description}

Python 3 version.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files itsdangerous


%check
%pytest -Wdefault

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.rst
%doc CHANGES.rst README.rst

%changelog
* Mon Sep 25 2023 Shuo Wang <abushwang@tencent.com> - 2.1.2-1
- update to 2.1.2

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 9 2023 Shuo Wang <abushwang@tencent.com> - 2.0.1-1
- initial build
